Subject: bug#34606: Emacs colors are off in screen sessions

From: Clément Pit-Claudel <[email-masked]>
Date: Thu, 21 Feb 2019 17:06:35 -0500

On 21/02/2019 14.21, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Thu, 21 Feb 2019 11:37:25 -0500
>>
>>> Emacs on a TTY doesn't control the colors in RGB terms, it just tells
>>> the terminal to display color number N.  What you actually see as
>>> result is up to the terminfo entry and the terminal emulator, AFAIK
>>> mostly the latter.  So I'd suggest to dig into 'screen's
>>> customizations to see how to affect the colors (I customized the
>>> colors of PuTTY to get something I like, for example).
>>
>> I don't understand. If that is the case, how can changing the value of the TERM environment variable change the colors displayed by emacs?
> 
> Because the terminfo entry defines both the number of colors and the
> specific command to turn on a given color.

Thanks, I understand a bit better.  Does that mean that there's a bug in the terminfo database for screen.xterm-256color that causes Emacs' request for a shade of yellow/orange to be displayed as bright red?